package intrinsic.mx.core;

public class EdgeMetrics extends Object {

	/** Accessors */

	/** Variables */
	public double bottom;
	public double left;
	public double top;
	public double right;

	/** Constants */
	public static final String VERSION = "version";
	public static final intrinsic.mx.core.EdgeMetrics EMPTY = null;

	/** Class Accessors */

	/** Class variables */

/** Contructors */
public EdgeMetrics() {
}

public EdgeMetrics(double arg0) {
}

public EdgeMetrics(double arg0, double arg1) {
}

public EdgeMetrics(double arg0, double arg1, double arg2) {
}

public EdgeMetrics(double arg0, double arg1, double arg2, double arg3) {
}


/** Static Methods */

/** Methods */
public native Object clone();

}
